
Syndication Input - Bug #1134

Failure to import changed items

12/10/2015 06:55 PM - Luke Murphey

Status: Closed Start date: 12/10/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.0.2   

Description

https://answers.splunk.com/answers/333124/syndication-input-rssatomrdf-add-on-why-am-i-getti.html

History

#1 - 12/10/2015 07:54 PM - Luke Murphey

Monitoring logs using:

index=_internal sourcetype="syndication_modular_input"

#2 - 12/10/2015 08:19 PM - Luke Murphey

The latest_date is based on the latest entry.

#3 - 12/10/2015 10:14 PM - Luke Murphey

https://answers.splunk.com/feed/questions.rss

#4 - 12/10/2015 10:19 PM - Luke Murphey

Observations:  *

#5 - 12/10/2015 10:22 PM - Luke Murphey

Here is the search I have for listing the internal operation of the code:

index=_internal sourcetype="syndication_modular_input" | rex field=_raw "(?<action>((Skipping)|(Including)))" 

 | table date latest_date title action count

#7 - 02/07/2016 12:00 AM - Luke Murphey

Some observations:

I see the input indicating that items are included, but I don't see them

#8 - 02/07/2016 12:01 AM - Luke Murphey

I'm seeing the following error:

Received event for unconfigured/disabled/deleted index=training with source="source::syndication://Splunk Answ

ers" host="host::answers.splunk.com" sourcetype="sourcetype::SplunkTraining-Answers". So far received events f

rom 1 missing index(es).
#9 - 02/07/2016 12:24 AM - Luke Murphey

Fixed the index issue.

Now monitoring for changes via:

index=_internal sourcetype="syndication_modular_input"  | rex field=_raw "(?<action>((Skipping)|(Including)))"

 | search count>0 OR action=Including  | table date latest_date title action count

#10 - 02/07/2016 03:24 AM - Luke Murphey

Table format of events:

sourcetype="syndication"  | eval time=strftime(_time, "%a, %d %b %Y %T %z") | table time title author link

#11 - 02/07/2016 03:30 AM - Luke Murphey

- Status changed from New to In Progress

#12 - 02/19/2016 12:04 AM - Luke Murphey

Wondering if this is an issue where the connection fails and this isn't communicated well.

#13 - 02/23/2016 07:54 PM - Luke Murphey

- Status changed from In Progress to Closed
